# Topic 2 Agenda - 4

## Please turn your Microphones up - sometimes I can't hear Students when they have questions, Thank You

## Announcements

- Please read the weekly announcements
- Markdown Links, please send the actual link to the Markdown file, not directory, for example:  

```
<path>/activities/activity/README.md
```

## Recap of Topic 2

![URN, URL, URI](https://gitlab.com/bobby.estey/wikibob/-/raw/master/docs/terminology/uniformResource.drawio.png)

## Subjects

- Creating Models, Views, and Controllers Using Spring MVC
- Creating Forms with Data Validation Using Spring MVC
- Creating Layouts Using Thymeleaf

## Spring / Maven Links

- [Spring Model, View, Controller (MVC) Example](https://spring.io/guides/gs/serving-web-content)
- [Spring Projects](https://spring.io/projects)
- [Spring Framework](https://gitlab.com/bobby.estey/wikibob/-/blob/master/docs/spring/framework/README.md)
- [Maven](https://gitlab.com/bobby.estey/wikibob/-/blob/master/docs/maven/README.md?ref_type=heads)

## UI Links

- [Bootstrap](https://getbootstrap.com/)
- [Material UI](https://mui.com/)
- [AG Grid](https://www.ag-grid.com/example/)

## HTML Inspector Link

- [HTML Inspector](https://gitlab.com/bobby.estey/wikibob/-/blob/master/docs/webBrowsers/devtools/googleDevtools.md?ref_type=heads)

## Questions

- Git Server
- Markdown
- Activity 2
- Milestone 2
     
- Students remaining can use this time for Office Hours
